package com.hzya.frame.plugin.pushMessage.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class PushMessageEntity extends BaseEntity {

    private String pushMethod;
    private String warningAppCode;
    private String warningApiCode;
    private String recipientIdList;
    private String warningAppType;
    private String sendAppName;
    private String receiveAppName;
    private String receiveApiName;
    private String returnData;
    private String receiveApiCode;
    private String status;

    public String getPushMethod() {
        return pushMethod;
    }

    public void setPushMethod(String pushMethod) {
        this.pushMethod = pushMethod;
    }

    public String getWarningAppCode() {
        return warningAppCode;
    }

    public void setWarningAppCode(String warningAppCode) {
        this.warningAppCode = warningAppCode;
    }

    public String getWarningApiCode() {
        return warningApiCode;
    }

    public void setWarningApiCode(String warningApiCode) {
        this.warningApiCode = warningApiCode;
    }

    public String getRecipientIdList() {
        return recipientIdList;
    }

    public void setRecipientIdList(String recipientIdList) {
        this.recipientIdList = recipientIdList;
    }

    public String getWarningAppType() {
        return warningAppType;
    }

    public void setWarningAppType(String warningAppType) {
        this.warningAppType = warningAppType;
    }

    public String getSendAppName() {
        return sendAppName;
    }

    public void setSendAppName(String sendAppName) {
        this.sendAppName = sendAppName;
    }

    public String getReceiveAppName() {
        return receiveAppName;
    }

    public void setReceiveAppName(String receiveAppName) {
        this.receiveAppName = receiveAppName;
    }

    public String getReceiveApiName() {
        return receiveApiName;
    }

    public void setReceiveApiName(String receiveApiName) {
        this.receiveApiName = receiveApiName;
    }

    public String getReturnData() {
        return returnData;
    }

    public void setReturnData(String returnData) {
        this.returnData = returnData;
    }

    public String getReceiveApiCode() {
        return receiveApiCode;
    }

    public void setReceiveApiCode(String receiveApiCode) {
        this.receiveApiCode = receiveApiCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
